# PrimitiveDate Class Reference
[Base data types used in Form]

Inheritance diagram for PrimitiveDate:
[legend]

List of all members.

## Public Member Functions

| setValue ($object)
| setMin ($object)
| setMax ($object)
| setDefault ($object)
| importSingle ($scope)
| isEmpty ($scope)
| importMarried ($scope)
| importValue ($value)
| exportValue ()

## Public Attributes

const | DAY = 'day'
const | MONTH = 'month'
const | YEAR = 'year'

## Protected Member Functions

| checkRanges (Date $date)
| getObjectName ()
| checkType ($object)

## Detailed Description

Definition at line 15 of file PrimitiveDate.class.php.

## Member Function Documentation

PrimitiveDate::checkRanges | ( | Date $ | date | ) | `[protected]`

Definition at line 210 of file PrimitiveDate.class.php.

References Date::toStamp().

Referenced by PrimitiveTimestamp::importMarried(), importMarried(), and importSingle().

Here is the call graph for this function:

PrimitiveDate::checkType | ( | $ | object | ) | `[protected]`

Definition at line 222 of file PrimitiveDate.class.php.

References getObjectName(), ClassUtils::isInstanceOf(), and Assert::isTrue().

Referenced by importValue(), setDefault(), setMax(), setMin(), and setValue().

Here is the call graph for this function:

PrimitiveDate::exportValue | ( |  | ) |

Reimplemented from ComplexPrimitive.

Definition at line 187 of file PrimitiveDate.class.php.

References ComplexPrimitive::getState().

Here is the call graph for this function:

PrimitiveDate::getObjectName | ( |  | ) | `[protected]`

Reimplemented in PrimitiveTimestamp.

Definition at line 217 of file PrimitiveDate.class.php.

Referenced by checkType(), and importSingle().

PrimitiveDate::importMarried | ( | $ | scope | ) |

Reimplemented from ComplexPrimitive.

Reimplemented in PrimitiveTimestamp.

Definition at line 113 of file PrimitiveDate.class.php.

References checkRanges(), BasePrimitive::import(), isEmpty(), and BasePrimitive::isRequired().

Referenced by importValue().

Here is the call graph for this function:

PrimitiveDate::importSingle | ( | $ | scope | ) |

Reimplemented from ComplexPrimitive.

Definition at line 73 of file PrimitiveDate.class.php.

References checkRanges(), getObjectName(), BasePrimitive::import(), and isEmpty().

Referenced by importValue().

Here is the call graph for this function:

PrimitiveDate::importValue | ( | $ | value | ) |

Reimplemented from BasePrimitive.

Definition at line 152 of file PrimitiveDate.class.php.

References BasePrimitive::$value, checkType(), BasePrimitive::getName(), ComplexPrimitive::getState(), PrimitiveTimestamp::HOURS, importMarried(), importSingle(), PrimitiveTimestamp::MINUTES, and PrimitiveTimestamp::SECONDS.

Here is the call graph for this function:

PrimitiveDate::isEmpty | ( | $ | scope | ) |

Definition at line 100 of file PrimitiveDate.class.php.

References ComplexPrimitive::getState().

Referenced by PrimitiveTimestamp::importMarried(), importMarried(), and importSingle().

Here is the call graph for this function:

PrimitiveDate::setDefault | ( | $ | object | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveDate

Reimplemented from BasePrimitive.

Definition at line 64 of file PrimitiveDate.class.php.

References checkType().

Here is the call graph for this function:

PrimitiveDate::setMax | ( | $ | object | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveDate

Reimplemented from RangedPrimitive.

Definition at line 51 of file PrimitiveDate.class.php.

References checkType().

Here is the call graph for this function:

PrimitiveDate::setMin | ( | $ | object | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveDate

Reimplemented from RangedPrimitive.

Definition at line 38 of file PrimitiveDate.class.php.

References checkType().

Here is the call graph for this function:

PrimitiveDate::setValue | ( | $ | object | ) |

Exceptions:

  | WrongArgumentException |

Returns:
  PrimitiveDate

Reimplemented from BasePrimitive.

Definition at line 25 of file PrimitiveDate.class.php.

References checkType().

Here is the call graph for this function:

## Member Data Documentation

const PrimitiveDate::DAY = 'day'

Definition at line 17 of file PrimitiveDate.class.php.

const PrimitiveDate::MONTH = 'month'

Definition at line 18 of file PrimitiveDate.class.php.

const PrimitiveDate::YEAR = 'year'

Definition at line 19 of file PrimitiveDate.class.php.

The documentation for this class was generated from the following file:

- core/Form/Primitives/PrimitiveDate.class.php